ObertObert
Imports

Start Import Endpoint

Start an async import from any LinkedIn source.

POST
/api/imports/start
AuthorizationBearer <token>

In: header

Header Parameters

x-tenant-id?string|null
source_typestring
Value in"post_engagers" | "event_attendees" | "linkedin_search" | "company_workers" | "sales_nav" | "profile_viewers" | "linkedin_profile_url" | "csv"
params||||||
list_idstring
add_to_tracker?boolean
Defaultfalse
limit?integer|null
total_expected?integer|null

Response Body

application/json

application/json

curl -X POST "https://api.obert.io/api/imports/start" \  -H "Content-Type: application/json" \  -d '{    "source_type": "post_engagers",    "params": {      "url": "string",      "account_id": "string"    },    "list_id": "string"  }'
{
  "job_id": "string",
  "status": "pending",
  "phase": "importing",
  "source_type": "post_engagers",
  "list_id": "string",
  "list_name": "string",
  "total_expected": 0,
  "added": 0,
  "duplicates": 0,
  "skipped": 0,
  "failed": 0,
  "failed_profiles": [
    {
      "urn": "string",
      "error": "string"
    }
  ],
  "scored": 0,
  "total_to_score": 0,
  "error_message": "string",
  "csv_file_id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}